package cn.com.countrygarden.bi.main.model.dup;

import java.util.Date;
import java.util.Map;

/**
 * <pre>
 * 。转名统计
 * </pre>
 * 
 * @author developer developer@meicloud.com
 * @version 1.00.00
 * 
 *          <pre>
 * 修改记录
 *    修改后版本:     修改人：  修改日期:     修改内容:
 * </pre>
 */
public class DivertStatistical {

	private String organCode;//区域代码
	private String organName;//区域名称
	private String commName;//项目名称
	private int commId;//项目id

	private String province;//省
	private String city;//市
	private String borough;//区

	private Date actualProperty;//首次收楼时间
	private int  houseQuantity;//项目总规划套数
	private int  receiptsFloor;//收楼数
	private String projectNumber;	//项目编号
	private String NCSystemNumber;	// 财务账套
	private int roomId;//房屋id
	private String dwellRatio;//常住率
	private Map<String,String> mapRoom;
	
	
	//数量
	 private int stepLadderHouse;//步梯洋房 
	 private int elevatorHouse;//电梯洋房 
	 private int autocephalyVilla;//独立别墅 
	 private int doubleSpellVilla;//双拼别墅 
	 private int fourSpellVilla;//四拼别墅 
	 private int conjoinedVilla;//联体别墅 
	 private int shop;//商铺 
	 private int  parkingSpaces;//车位 
	 private int other;//其它 
	 private int park;//公园 
	 private int writingFloor;//写字楼 
	 private int scenicArea;//景区 
	 private int school;//学校 
	 private int apartment;//公寓 
	 private int  market;//商场 
	 private int  officebuilding;//办公楼 
	 private int wineshop;//酒店 
	 private int industrialPlants;//工业厂房 
	 private int industryHouse;//产业用房 
	 private int warehouse;//仓库 
	 private int  hospital;//医院 
	 private int stadium;//体育馆 
	 private int library;//图书馆 
	 private int exhibitionCenter;//会展中心 
	 private int carpark;//停车场 
	 private int racecourse;//赛马场 
	 private int golfCourse;//高尔夫球场 
	 private int  carGAS;//汽车加油站 
	 private int airport;//飞机场 
	 private int busStation;//车站 
	 private int pier;//码头 
	 private int municipalRoads;//市政道路 
	 private int bridge;//桥梁 
	 private int tunnel;//隧道
	
	//分页条件
	private int pageIndex;
	private int pageSize; 
	private String AccessToken;
	private String actualPropertyStart;//开始时间
	private String actualPropertyEnd;//截止时间
	//查询条件
	private String roomType;
	private String actualPropertys;//字符格式的时间
	public String getOrganCode() {
		return organCode;
	}
	public void setOrganCode(String organCode) {
		this.organCode = organCode;
	}
	public String getOrganName() {
		return organName;
	}
	public void setOrganName(String organName) {
		this.organName = organName;
	}
	public String getCommName() {
		return commName;
	}
	public void setCommName(String commName) {
		this.commName = commName;
	}
	public int getCommId() {
		return commId;
	}
	public void setCommId(int commId) {
		this.commId = commId;
	}
	public Date getActualProperty() {
		return actualProperty;
	}
	public void setActualProperty(Date actualProperty) {
		this.actualProperty = actualProperty;
	}
	public int getHouseQuantity() {
		return houseQuantity;
	}
	public void setHouseQuantity(int houseQuantity) {
		this.houseQuantity = houseQuantity;
	}
	public int getReceiptsFloor() {
		return receiptsFloor;
	}
	public void setReceiptsFloor(int receiptsFloor) {
		this.receiptsFloor = receiptsFloor;
	}
	public int getRoomId() {
		return roomId;
	}
	public void setRoomId(int roomId) {
		this.roomId = roomId;
	}
	public String getDwellRatio() {
		return dwellRatio;
	}
	public void setDwellRatio(String dwellRatio) {
		this.dwellRatio = dwellRatio;
	}
	
	public int getPageIndex() {
		return pageIndex;
	}
	public void setPageIndex(int pageIndex) {
		this.pageIndex = pageIndex;
	}
	public int getPageSize() {
		return pageSize;
	}
	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}
	public String getAccessToken() {
		return AccessToken;
	}
	public void setAccessToken(String accessToken) {
		AccessToken = accessToken;
	}
	public String getRoomType() {
		return roomType;
	}
	public void setRoomType(String roomType) {
		this.roomType = roomType;
	}
	
	public Map<String, String> getMapRoom() {
		return mapRoom;
	}
	public void setMapRoom(Map<String, String> mapRoom) {
		this.mapRoom = mapRoom;
	}
	public String getActualPropertys() {
		return actualPropertys;
	}
	public void setActualPropertys(String actualPropertys) {
		this.actualPropertys = actualPropertys;
	}
	public String getActualPropertyStart() {
		return actualPropertyStart;
	}
	public void setActualPropertyStart(String actualPropertyStart) {
		this.actualPropertyStart = actualPropertyStart;
	}
	public String getActualPropertyEnd() {
		return actualPropertyEnd;
	}
	public void setActualPropertyEnd(String actualPropertyEnd) {
		this.actualPropertyEnd = actualPropertyEnd;
	}
	public int getStepLadderHouse() {
		return stepLadderHouse;
	}
	public void setStepLadderHouse(int stepLadderHouse) {
		this.stepLadderHouse = stepLadderHouse;
	}
	public int getElevatorHouse() {
		return elevatorHouse;
	}
	public void setElevatorHouse(int elevatorHouse) {
		this.elevatorHouse = elevatorHouse;
	}
	public int getAutocephalyVilla() {
		return autocephalyVilla;
	}
	public void setAutocephalyVilla(int autocephalyVilla) {
		this.autocephalyVilla = autocephalyVilla;
	}
	public int getDoubleSpellVilla() {
		return doubleSpellVilla;
	}
	public void setDoubleSpellVilla(int doubleSpellVilla) {
		this.doubleSpellVilla = doubleSpellVilla;
	}
	public int getFourSpellVilla() {
		return fourSpellVilla;
	}
	public void setFourSpellVilla(int fourSpellVilla) {
		this.fourSpellVilla = fourSpellVilla;
	}
	public int getConjoinedVilla() {
		return conjoinedVilla;
	}
	public void setConjoinedVilla(int conjoinedVilla) {
		this.conjoinedVilla = conjoinedVilla;
	}
	public int getShop() {
		return shop;
	}
	public void setShop(int shop) {
		this.shop = shop;
	}
	public int getParkingSpaces() {
		return parkingSpaces;
	}
	public void setParkingSpaces(int parkingSpaces) {
		this.parkingSpaces = parkingSpaces;
	}
	public int getOther() {
		return other;
	}
	public void setOther(int other) {
		this.other = other;
	}
	public int getPark() {
		return park;
	}
	public void setPark(int park) {
		this.park = park;
	}
	public int getWritingFloor() {
		return writingFloor;
	}
	public void setWritingFloor(int writingFloor) {
		this.writingFloor = writingFloor;
	}
	public int getScenicArea() {
		return scenicArea;
	}
	public void setScenicArea(int scenicArea) {
		this.scenicArea = scenicArea;
	}
	public int getSchool() {
		return school;
	}
	public void setSchool(int school) {
		this.school = school;
	}
	public int getApartment() {
		return apartment;
	}
	public void setApartment(int apartment) {
		this.apartment = apartment;
	}
	public int getMarket() {
		return market;
	}
	public void setMarket(int market) {
		this.market = market;
	}
	public int getOfficebuilding() {
		return officebuilding;
	}
	public void setOfficebuilding(int officebuilding) {
		this.officebuilding = officebuilding;
	}
	public int getWineshop() {
		return wineshop;
	}
	public void setWineshop(int wineshop) {
		this.wineshop = wineshop;
	}
	public int getIndustrialPlants() {
		return industrialPlants;
	}
	public void setIndustrialPlants(int industrialPlants) {
		this.industrialPlants = industrialPlants;
	}
	public int getIndustryHouse() {
		return industryHouse;
	}
	public void setIndustryHouse(int industryHouse) {
		this.industryHouse = industryHouse;
	}
	public int getWarehouse() {
		return warehouse;
	}
	public void setWarehouse(int warehouse) {
		this.warehouse = warehouse;
	}
	public int getHospital() {
		return hospital;
	}
	public void setHospital(int hospital) {
		this.hospital = hospital;
	}
	public int getStadium() {
		return stadium;
	}
	public void setStadium(int stadium) {
		this.stadium = stadium;
	}
	public int getLibrary() {
		return library;
	}
	public void setLibrary(int library) {
		this.library = library;
	}
	public int getExhibitionCenter() {
		return exhibitionCenter;
	}
	public void setExhibitionCenter(int exhibitionCenter) {
		this.exhibitionCenter = exhibitionCenter;
	}
	public int getCarpark() {
		return carpark;
	}
	public void setCarpark(int carpark) {
		this.carpark = carpark;
	}
	public int getRacecourse() {
		return racecourse;
	}
	public void setRacecourse(int racecourse) {
		this.racecourse = racecourse;
	}
	public int getGolfCourse() {
		return golfCourse;
	}
	public void setGolfCourse(int golfCourse) {
		this.golfCourse = golfCourse;
	}
	public int getCarGAS() {
		return carGAS;
	}
	public void setCarGAS(int carGAS) {
		this.carGAS = carGAS;
	}
	public int getAirport() {
		return airport;
	}
	public void setAirport(int airport) {
		this.airport = airport;
	}
	public int getBusStation() {
		return busStation;
	}
	public void setBusStation(int busStation) {
		this.busStation = busStation;
	}
	public int getPier() {
		return pier;
	}
	public void setPier(int pier) {
		this.pier = pier;
	}
	public int getMunicipalRoads() {
		return municipalRoads;
	}
	public void setMunicipalRoads(int municipalRoads) {
		this.municipalRoads = municipalRoads;
	}
	public int getBridge() {
		return bridge;
	}
	public void setBridge(int bridge) {
		this.bridge = bridge;
	}
	public int getTunnel() {
		return tunnel;
	}
	public void setTunnel(int tunnel) {
		this.tunnel = tunnel;
	}
	public String getProjectNumber() {
		return projectNumber;
	}
	public void setProjectNumber(String projectNumber) {
		this.projectNumber = projectNumber;
	}
	public String getNCSystemNumber() {
		return NCSystemNumber;
	}
	public void setNCSystemNumber(String nCSystemNumber) {
		NCSystemNumber = nCSystemNumber;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public void setBorough(String borough) {
		this.borough = borough;
	}

	public String getProvince() {
		return province;
	}

	public String getCity() {
		return city;
	}

	public String getBorough() {
		return borough;
	}
}
